//--------------------------------------------------------------
// File     : main.c
// Datum    : 23.07.2013
// Version  : 1.0
// Autor    : UB
// EMail    : mc-4u(@)t-online.de
// Web      : www.mikrocontroller-4u.de
// CPU      : STM32F4
// IDE      : CooCox CoIDE 1.7.0
// Module   : CMSIS_BOOT, M4_CMSIS_CORE
// Funktion : Demo der Encoder Library
// Hinweis  : Diese zwei Files muessen auf 8MHz stehen
//              "cmsis_boot/stm32f4xx.h"
//              "cmsis_boot/system_stm32f4xx.c"
//--------------------------------------------------------------

#include "main.h"
#include "stm32_ub_led.h"
#include "stm32_ub_encoder_tim2.h"

int main(void)
{
  uint16_t counterwert;

  SystemInit(); // Quarz Einstellungen aktivieren

  // init aller LEDs
  UB_Led_Init();

  // init vom Drehgeber (Rotary-Encoder) per Timer2
  // Mode = normal, Werte [0...15]
  UB_ENCODER_TIM2_Init(ENC_T2_MODE_2A, ENC_T2_TYP_NORMAL, 0x000F);

  while(1)
  {
    // Drehgeber auslesen
	counterwert=UB_ENCODER_TIM2_ReadPos();
	// die 4 LEDs je nach Counterwert ein- /ausschalten
	if((counterwert&0x01)==0) UB_Led_Off(LED_GREEN); else UB_Led_On(LED_GREEN);
	if((counterwert&0x02)==0) UB_Led_Off(LED_BLUE); else UB_Led_On(LED_BLUE);
	if((counterwert&0x04)==0) UB_Led_Off(LED_RED); else UB_Led_On(LED_RED);
	if((counterwert&0x08)==0) UB_Led_Off(LED_ORANGE); else UB_Led_On(LED_ORANGE);
  }
}

